Opened 19 months ago

Closed 18 months ago

Last modified 18 months ago

#3404 closed Bug (fixed)

Feedburner API deprecated by Google -> no more feedburner widget in Piwik

Reported by: matt Owned by: capedfuzz
Priority: normal Milestone: 1.9.1 - Piwik 1.9.1
Component: Core Keywords:
Cc: Sensitive: no

Description

Unfortunately google is deprecating its feedburner APIs and widgets.

https://developers.google.com/feedburner/

Important: The Google Feedburner APIs have been officially deprecated as of May 26, 2011 will be shut down on October 20, 2012.

It;s pretty sad to see useful services shutdown like this. Also they don't even say it in the feedburner.com site or control panel.

--> when it happens we shall remove feedburner widget from piwik.

Change History (4)

comment:1 Changed 18 months ago by matt (mattab)

  • Milestone changed from 1.9.2 - Piwik 1.9.2 to 1.9.1 - Piwik 1.9.1
  • Owner set to capedfuzz

Feedburner api will be killed on Oct 20th. a good reminder why NOT to use external third party for services critical such as RSS feed analytics! hopefully one day piwik will offer rss analytics. in the meantime, let's remove the feedburner widgets + all mentions to feedburner from piwik source code.

comment:2 Changed 18 months ago by capedfuzz (diosmosis)

  • Resolution set to fixed
  • Status changed from new to closed

(In [7296]) Fixes #3404, remove feedburner plugin and allow Piwik to work if plugin folders do not exist.

Notes:

  • Display warning if there are loaded plugins that cannot be found in the plugins diretory.

comment:3 Changed 18 months ago by capedfuzz (diosmosis)

(In [7297]) Refs #3404, refactor some code into PluginsManager method and fix typo in PluginsManager.

Note: See TracTickets for help on using tickets.